# SQLBaseJoin Class Reference
[Dynamic query builder]

Inheritance diagram for SQLBaseJoin:
[legend]

List of all members.

## Public Member Functions

| __construct ($subject, LogicalObject $logic, $alias)
| getAlias ()
| getTable ()

## Protected Member Functions

| baseToString (Dialect $dialect, $logic=null)

## Protected Attributes

| $subject = null
| $alias = null
| $logic = null

## Detailed Description

Definition at line 15 of file SQLBaseJoin.class.php.

## Constructor & Destructor Documentation

SQLBaseJoin::__construct | ( | $ | subject,
|  | LogicalObject $ | logic,
|  | $ | alias |
| ) |  |  |

Definition at line 21 of file SQLBaseJoin.class.php.

References $alias, and $subject.

## Member Function Documentation

SQLBaseJoin::baseToString | ( | Dialect $ | dialect,
|  | $ | logic = `null` |
| ) |  |  | `[protected]`

Definition at line 38 of file SQLBaseJoin.class.php.

References $logic, and Dialect::quoteTable().

Referenced by SQLRightJoin::toDialectString(), SQLLeftJoin::toDialectString(), and SQLJoin::toDialectString().

Here is the call graph for this function:

SQLBaseJoin::getAlias | ( |  | ) |

Implements Aliased.

Definition at line 28 of file SQLBaseJoin.class.php.

SQLBaseJoin::getTable | ( |  | ) |

Definition at line 33 of file SQLBaseJoin.class.php.

Referenced by Joiner::join(), Joiner::leftJoin(), and Joiner::rightJoin().

## Member Data Documentation

SQLBaseJoin::$alias = null`[protected]`

Definition at line 18 of file SQLBaseJoin.class.php.

Referenced by __construct().

SQLBaseJoin::$logic = null`[protected]`

Definition at line 19 of file SQLBaseJoin.class.php.

Referenced by baseToString().

SQLBaseJoin::$subject = null`[protected]`

Definition at line 17 of file SQLBaseJoin.class.php.

Referenced by __construct().

The documentation for this class was generated from the following file:

- core/OSQL/SQLBaseJoin.class.php